# $Revision: 1.13 $, $Date: 2004/08/18 16:22:30 $
Summary:	Creates a pair of pseudo-terminals
Summary(pl):	Tworzy par pseudo-terminali
Name:		pty-redir98
Version:	1.0
Release:	3
License:	GPL
Group:		Applications/Terminal
Source0:	ftp://ftp.pld.org.pl/software/pty-redir98/%{name}-%{version}.tar.gz
# Source0-md5:	91c6d9069cbc4717d60c9c5a219cbe49
URL:		ftp://ftp.pld.org.pl/software/pty-redir98/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pty-redir98 is a remake of old "pty-redir" application, using Unix98
PTYs. It creates a pair of pseudo-terminals for any application to
use. For example it allows running PPP over SSH by attaching SSH
input/output to a pseudo-tty master and running pppd on corresponding
slave.

%description -l pl
pty-redir98 jest przerbk starego programu "pty-redir", uywajc
pseudo-terminali zgodnie z semantyk Unix98. Tworzy par
pseudo-terminali ktre dowolna aplikacja moe wykorzysta. Na przykad
umoliwia uruchomienie PPP po SSH przez podczepienie wejcia/wyjcia
SSH do nadrzdnego pseudo-terminala i uruchomienie pppd na
odpowiadajcym mu pseudo-terminalu podrzdnym.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pty-redir98.spec,v $
Revision 1.13  2004/08/18 16:22:30  undefine
- release 3

Revision 1.12  2003/12/31 01:25:57  undefine
- release 2

Revision 1.11  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.10  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/29 22:46:07  ankry
- massive attack: new %%doc

Revision 1.7  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/05/21 23:14:34  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.4  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/03 21:51:53  kloczek
- cosmetics.

Revision 1.1  2001/10/03 17:18:31  zagrodzki
- initial release
